Package jakarta.websocket

## Interface MessageHandler.Partial<T>

- All Superinterfaces:
    `MessageHandler`
  Enclosing interface:
    MessageHandler

      public static interface MessageHandler.Partial<T>
      extends MessageHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jakarta.websocket.MessageHandler

      `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onMessage​(T messagePart, boolean last)` | Called when part of a message is available to be processed.

- - ### Method Detail

    - #### onMessage

          void onMessage​(T messagePart,
                         boolean last)

      Called when part of a message is available to be processed.
      Parameters:
        `messagePart` - The message part
        `last` - `true` if this is the last part of this message, else `false`